define(['./files.component.html'], function (template)
{
    var Files = {
        bindings: {},
        templateUrl: template,
        controller: [
            'filesOverviewPreloadFactory',
            function (filesPreload) {
                var ctrl = this;

                ctrl.folderId = filesPreload.folderId;
                ctrl.myDetails = filesPreload.myDetails;
                ctrl.fileList = filesPreload.fileList;
                ctrl.uniqueId = filesPreload.uniqueId;
            }
        ]
    };

    return Files;
});
